%define _disable_source_fetch 0

# This package was forked from redhat-release-atomic-host.
%global product_confs_dir %{_sysconfdir}/anaconda/product.d
%global pixmaptarget %{_datadir}/lorax/product/usr/share/anaconda/pixmaps
%global pixmapsource %{_prefix}/share/redhat-release-virtualization-host/branding/anaconda
%global ssg_content_dir %{_prefix}/share/xml/scap/ssg/content/
%global rhvh_ssg_ds_xml %{ssg_content_dir}/ssg-rhvh4-ds.xml

%define debug_package %{nil}

# RHEL part
%define base_product_family Red Hat Enterprise Linux
%define base_release_version 8
%define full_release_version 8.6
%define dist_release_version 8
#%%define beta
%define dist .el%{dist_release_version}

# RHV variant part
%define product_family Red Hat Virtualization
%define product_family_concat RedHatVirtualization

%define variant_id ovirt-node
%define variant_titlecase Host
%define variant_titlecase_concat Host
%define variant_lowercase hypervisor
%define variant_full_release_version 4.5.2

%define release_pkg_version 1

Name:           redhat-virtualization-host-productimg
Version:        %{variant_full_release_version}
Release:        %{release_pkg_version}%{?dist}
Summary:        %{product_family} %{variant_titlecase} Anaconda branding
Group:          System Environment/Base
License:        GPLv2

Provides:       redhat-release = %{full_release_version}
Provides:       system-release = %{full_release_version}
Provides:       system-release(releasever) = %{base_release_version}%{product_family_concat}%{?variant_titlecase_concat}
Requires:       anaconda-user-help

# Use the complete source, to know where it came from
Source0:        sidebar-logo.png
Source1:        90-default.preset
Source2:        EULA
Source3:        rhvh.conf
Source4:        rhv-minimal.conf
Source5:        http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/plain/product_ids/rhvh-4.4/RHVH-x86_64-c3bc91a1d7db-328.pem?id=c62435f2e4b8b498d75516f7ab22f8919849ddf3#rhvh-4.4/RHVH-x86_64-c3bc91a1d7db-328.pem
Source6:        99-default-disable.preset

%description
%{product_family} %{variant_titlecase} Anaconda branding


%prep

%build
echo OK

%install
# create /etc
mkdir -p %{buildroot}/%{product_confs_dir} %{buildroot}/%{ssg_content_dir}
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -dDm 0755 %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/
install -Dm 0644 %{SOURCE0} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/redhat-release-virtualization-host

mkdir -p %{buildroot}/etc/pki/product-default
cp %{SOURCE5} %{buildroot}/etc/pki/product-default/328.pem

install -m 755 -d %{buildroot}%{pixmaptarget}
install -m 755 -d %{buildroot}%{pixmapsource}/
install -m 644 %{SOURCE0} %{buildroot}%{pixmapsource}/

install -m 755 -d %{buildroot}%{product_confs_dir}
install -m 644 %{SOURCE3} %{buildroot}%{product_confs_dir}

ln -sf %{pixmapsource}/sidebar-logo.png %{buildroot}%{pixmaptarget}/sidebar-logo.png
ln -sf %{ssg_content_dir}/ssg-rhel8-ds.xml %{buildroot}/%{rhvh_ssg_ds_xml}

install -m 755 -d %{buildroot}%{_datadir}/rhv-productimg

pushd %{buildroot}%{_datadir}/lorax/product/
find %{buildroot}%{_datadir}/lorax/product/ -depth -printf '%%P\0' | \
   cpio --null --quiet -H newc -o | \
   xz -9 > \
   %{buildroot}%{_datadir}/rhv-productimg/product.img
popd

# Create systemd presets
install -dDm 0755 %{buildroot}/%{_prefix}/lib/systemd/system-preset
install -Dm 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -Dm 0644 %{SOURCE6} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

# create /etc/system-release and /etc/redhat-release
echo "%{base_product_family} release %{full_release_version}" > %{buildroot}/etc/redhat-release
ln -s redhat-release %{buildroot}/etc/system-release

# create /etc/os-release
mkdir -p %{buildroot}/usr/lib/os.release.d/
cat << EOF >>%{buildroot}/usr/lib/os.release.d/os-release-rhv-host
NAME="%{base_product_family}"
VERSION="%{full_release_version}"
VERSION_ID="%{full_release_version}"
PLATFORM_ID="platform:el%{base_release_version}"
ID="rhel"
ID_LIKE="fedora"
VARIANT="%{?product_family} %{?variant_titlecase}"
VARIANT_ID="%{?variant_id}"
PRETTY_NAME="%{product_family} %{variant_titlecase} %{variant_full_release_version} (el%{full_release_version})"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

# FIXME
REDHAT_BUGZILLA_PRODUCT="%{product_family}"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{full_release_version}
REDHAT_SUPPORT_PRODUCT="%{product_family}"
REDHAT_SUPPORT_PRODUCT_VERSION=%{full_release_version}
EOF

ln -s ../usr/lib/os-release %{buildroot}/etc/os-release
ln -s os.release.d/os-release-rhv-host %{buildroot}/usr/lib/os-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}" | tr [A-Z] [a-z] > %{buildroot}/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# FIXME is this relevant for RHVH?
# https://bugzilla.redhat.com/show_bug.cgi?id=1204194
#mkdir -p %{buildroot}/etc/systemd/system
#ln -s /dev/null %{buildroot}/etc/systemd/system/brandbot.path


%files
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%config /etc/os-release
%config /etc/redhat-release
%config /etc/system-release
%config /etc/system-release-cpe
%dir %{_datadir}/lorax/product/usr/share/anaconda
%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/sidebar-logo.png
%{_prefix}/share/redhat-release-virtualization-host/EULA
%{_prefix}/lib/os.release.d/os-release-rhv-host
%{_prefix}/lib/os-release
%dir /etc/yum.repos.d
%dir %{_datadir}/lorax/product/usr/share
%dir %{_datadir}/lorax/product/usr
%dir %{product_confs_dir}
%{product_confs_dir}/*
%dir %{pixmaptarget}
%{pixmaptarget}/*.png
%dir %{_datadir}/rhv-productimg
%{_datadir}/rhv-productimg/product.img
%{_prefix}/lib/systemd/system-preset/*
%{_sysconfdir}/pki/product-default/328.pem
%{rhvh_ssg_ds_xml}

%changelog
* Thu Jul 21 2022 Asaf Rachmani <arachman@redhat.com> - 4.5.2-1
- Bump to 4.5.2-1

* Thu Jun 16 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.1-1
- Bump to 4.5.1-1

* Thu Feb 24 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.0-2
- Update anaconda to match imgbased layout (bz#2057475)

* Wed Dec 15 2021 Sanja Bonic <sbonic@redhat.com> - 4.5.0-1.el8
- Bump to 4.5.0-1

* Sun Oct 10 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.9-1.el8
- Bump to 4.4.9-1

* Tue Jul 27 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.8-1.el8
- Bump to 4.4.8-1

* Mon Jul 05 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.7-2.el8
- Bump to 4.4.7-2

* Thu Jun 03 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.7-1.el8
- Bump to 4.4.7-1

* Mon Apr 26 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-6.el8
- Bump to 4.4.6-6
- drop swap by default

* Thu Apr 22 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-5.el8
- Bump to 4.4.6-5
- drop empty post section

* Fri Apr 16 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-4.el8
- Bump to 4.4.6-4
- Align anaconda config with upstream
- Fix EULA path (rhbz#1949431)

* Tue Apr 13 2021 Lev Veyde <lveyde@redhat.com> - 4.4.6-3.el8
- Bump to 4.4.6-3

* Mon Apr 12 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-2.el8
- Bump to 4.4.6-2

* Wed Mar 24 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.6-1.el8
- Bump to 4.4.6-1

* Wed Mar 03 2021 Nir Levy <nlevy@redhat.com> - 4.4.5-2.el8
- Bump to 4.4.5-2
- Minimal storage support (conf file) (rhbz#1931018)

* Sun Jan 17 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.5-1.el8
- Bump to 4.4.5-1

* Sun Jan 17 2021 Asaf Rachmani <arachman@redhat.com> - 4.4.4-2.el8
- Bump to 4.4.4-2

* Mon Dec 14 2020 Asaf Rachmani <arachman@redhat.com> - 4.4.4-1.el8
- Bump to 4.4.4-1

* Fri Oct 09 2020 Nir Levy <nlevy@redhat.com> - 4.4.3-3.el8
- Bump to 4.4.3-3
- move configuration file from lorax dir to etc one

* Thu Oct 08 2020 Nir Levy <nlevy@redhat.com> - 4.4.3-2.el8
- Bump to 4.4.3-2
- convert installclass to configutation file (rhbz#18864841)

* Fri Aug 21 2020 Nir Levy <nlevy@redhat.com> - 4.4.3-1.el8
- Bump to 4.4.3-1

* Mon Aug 10 2020 Lev Veyde <lveyde@redhat.com> - 4.4.2-2.el8
- Fix Anaconda SSH daemon issue

* Thu Aug 06 2020 Nir Levy <nlevy@redhat.com> - 4.4.2-1.el8
- Bump to 4.4.2-1

* Thu Jun 11 2020 Nir Levy <nlevy@redhat.com> - 4.4.1-1.el8
- Bump to 4.4.1-1

* Mon May 18 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-16.el8
- Certificate fixed to have RHVH, rhel-8-rhvh-4 on tags.

* Sun May 17 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-15.el8
- Certificate fixed to have RHVH.

* Wed May 13 2020 Nir Levy <nlevy@redhat.com> - 4.4.0-14.el8
- Certificate updated

* Tue Mar 31 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-13.el8
- Use RHEL's anaconda-user-help (rhbz#1819036)

* Mon Mar 23 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-12.el8
- Added the product default for RHVH

* Thu Feb 13 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-11.el8
- Bump to 8.2

* Tue Jan 21 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-10.el8
- Support minimal storage layout

* Mon Jan 20 2020 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-9.el8
- Consume RHV SSG profile

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-7.el8
- Updated filelist

* Thu Nov 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-6.el8
- Moved RHV installclass to anaconda
- Add PLATFORM_ID to os-release

* Thu Sep 19 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-5.el8
- Ship a rhv install class

* Wed Sep 18 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-4.el8
- Generate /etc/yum.repos.d
- Use ssg for rhel8

* Mon Sep 16 2019 Yuval Turgeman <yturgema@redhat.com> - 4.4.0-3.el8
- Provide redhat-release for 8.1

* Wed Aug 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.6-1.el7
- Bump to 4.3.6-1

* Thu Jul 04 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.5-2.el7
- Updated logo

* Mon Jun 17 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.5-1.el7
- set PRETTY_NAME to RHV version (rhbz#1720156)

* Mon May 06 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3-5.0.el7
- Build for 7.7

* Sun Oct 14 2018 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.0.el7
- Build for 4.3

* Thu Oct 04 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-2.2.el7
- Build for 7.6

* Tue Apr 03 2018 Ryan Barry <rbarry@redhat.com> - 4.2-2.1.el7
- Enable rhel-domainname.service

* Thu Mar 29 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-2.0.el7
- Updated presets from 7.5

* Thu Feb 22 2018 Ryan Barry <rbarry@redhat.com> - 4.2-1.0.el7
- Build for 7.5

* Mon Aug 14 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.0.el7
- Build for 4.2

* Thu Mar 30 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.2.el7
- Add EULA

* Wed Jan 4 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.1.el7
- Update RHV logo

* Fri Nov 4 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.3.el7
- Move to 7.3

* Wed Aug 31 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.2.el7
- Add systemd presets

* Wed Aug 10 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.1.el7
- Remove beta

* Mon Aug 1 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.0.el7
- Initial build
